package de.fzj.unicore.bes.util;

import org.apache.xmlbeans.XmlObject;
import org.ogf.schemas.hpcp.x2007.x01.bp.BasicFilterDocument;
import org.ogf.schemas.hpcp.x2007.x01.bp.BasicFilterType;

public class ActivityUtils {
	
	public static XmlObject filterActivityAndResources() {
		BasicFilterDocument bfDoc = BasicFilterDocument.Factory.newInstance();
		BasicFilterType bfType = bfDoc.addNewBasicFilter();
		bfType.setActivityReferences(true);
		bfType.setContainedResources(true);
		return bfDoc;
	}

	public static XmlObject filterOnlyActivityBeans() {
		BasicFilterDocument bfDoc = BasicFilterDocument.Factory.newInstance();
		BasicFilterType bfType = bfDoc.addNewBasicFilter();
		bfType.setActivityReferences(true);
		bfType.setContainedResources(false);
		return bfDoc;
	}

	public static XmlObject filterOnlyResourceBeans() {
		BasicFilterDocument bfDoc = BasicFilterDocument.Factory.newInstance();
		BasicFilterType bfType = bfDoc.addNewBasicFilter();
		bfType.setActivityReferences(false);
		bfType.setContainedResources(true);
		return bfDoc;
	}

	public static XmlObject filterNoneBeans() {
		BasicFilterDocument bfDoc = BasicFilterDocument.Factory.newInstance();
		BasicFilterType bfType = bfDoc.addNewBasicFilter();
		bfType.setActivityReferences(false);
		bfType.setContainedResources(false);
		return bfDoc;
	}

	
}
