package de.fzj.unicore.uas.impl.dsms;

import java.util.concurrent.Callable;

import org.unigrids.services.atomic.types.GridFileType;

import de.fzj.unicore.uas.client.StorageClient;

import pl.edu.icm.dsms.catalogue.model.Lda;
import eu.unicore.security.Client;

public class ListDirectoryCallable implements Callable<GridFileType[]>
{
	private Lda lda;
	private Client client;
	
	public ListDirectoryCallable(Lda lda, Client client)
	{
		this.lda = lda;
		this.client = client;
	}

	@Override
	public GridFileType[] call() throws Exception
	{
		StorageClient sms = Utils.getStorageClient(lda, client);
		return sms.listDirectory(lda.getPhysicalName());
	}

}
